package aicg.wipf.vzuj

import android.app.Application

abstract class Qqmq : Application() {

    private fun ޓބލމސމތޣ() {
        context = this
        init()

    }

    private fun ރއހޗޜށޘޣ() {
        ޞޞޘޘހވބހ()
    }

    companion object {
        lateinit var context: Qqmq
    }

    final override fun onCreate() {
        ރއހޗޜށޘޣ()
        class ޛޤޠޝޚގޤޗ<T>(val އނތދޑގޥކ: T, val ޡޘތޕނޡޤޛ: Int) {
            constructor(އނތދޑގޥކ: T) : this(އނތދޑގޥކ, 7277) {
                println("ޡޘތޕނޡޤޛ")
            }
        }
        println(ޛޤޠޝޚގޤޗ("ޔޤޕޖޘޜޞޛ"))
        super.onCreate()
        fun ރހޤޟޘއޅޒ() {
            fun ނޅޢޓޜޞޢފ(ލރޕޝޡހއޅ: Int) {
                println(ލރޕޝޡހއޅ)
            }
            ނޅޢޓޜޞޢފ(4176)
            ނޅޢޓޜޞޢފ(7698)
            ނޅޢޓޜޞޢފ(9360)
        }
        ރހޤޟޘއޅޒ()
        ޢޞޘޗކޝކލ()
    }

    private fun ޞޞޘޘހވބހ() {
    }

    private fun ޢޞޘޗކޝކލ() {
        ޓބލމސމތޣ()
    }

    abstract fun init()
}